Name:           imv
Version:        4.5.0
Release:        %mkrel 3
Summary:        Image viewer for X11/Wayland
License:        GPL-2.0-or-later AND MIT
Group:          Graphics/Viewers
URL:            https://git.sr.ht/~exec64/imv
Source:         https://git.sr.ht/~exec64/imv/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         imv-link-icu-uc.patch
BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  asciidoc
BuildRequires:  freeimage-devel
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(cmocka)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(inih)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libpng16)
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.44
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libturbojpeg)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)

%description
imv is a command line image viewer intended for use with
tiling window managers.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson -Dlibnsgif=disabled
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc AUTHORS README.md
%{_sysconfdir}/%{name}_config
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-dir.desktop
%{_mandir}/man?/%{name}*


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 4.5.0-3.mga10
+ Revision: 2193995
- rebuild for new libjxl 0.11.1

* Sun Jan 12 2025 daviddavid <daviddavid> 4.5.0-2.mga10
+ Revision: 2138489
- add patch to link with icu-uc
+ wally <wally>
- rebuild for icu 76.1

* Sat Jul 06 2024 daviddavid <daviddavid> 4.5.0-1.mga10
+ Revision: 2080064
- initial package imv

